KCMAP_PROTO_ALLOC_FUNC(3)

PROTO_FUNC
kcmap_PROTO_alloc_func - Allocate colourcells.

SYNOPSIS
#include <karma_kcmap.h>

unsigned int kcmap_PROTO_alloc_func

(unsigned int num_cells, unsigned long *pixel_values, unsigned int min_cells, Kdisplay dpy_handle)

DESCRIPTION
This routine will allocate a number of colourcells in a low level colourmap (e.g. using the Xlib routine XAllocColorCells).

num_cells
    The number of colourcells to allocate.

pixel_values
    The array ofpixel values allocated will be written here.

min_cells
    The minimum number of colourcells to allocate. The routine will try to allocate at least this number of colourcells.

dpy_handle
    The low level display handle. The meaning of this value depends on the lower level graphics library used.

RETURN VALUE
The number of colourcells allocated.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/